#include "testlib.h"

using namespace std;

int main() {
	registerValidation();
	inf.readLong(1LL, 1000000000000000LL);
	inf.readSpace();
	inf.readLong(1LL, 1000000000000000LL);
	inf.readSpace();
	inf.readLong(1LL, 1000000000000000LL);
	inf.readSpace();
	inf.readLong(1LL, 1000000000000000LL);
	inf.readEoln();
	inf.readEof();
	return 0;
}